package com.huatek.frame.base.service;

import java.util.Map;

import com.huatek.frame.base.dto.AreaDTO;
import com.huatek.frame.base.entity.Area;

/**
 * 区域 Service
 *
 * @author key_dong
 * @date 2018-7-11 14:03:46
 */
public interface AreaService {

    /**
     * 分页查找查找 区域
     * 
     * @param dto 区域dto
     * @return map map
     */
    Map<String, Object> findAreaPage(AreaDTO dto);


    /**
     * 添加 区域
     * 
     * @param area  区域area
     * @return map map
     */
    Map<String, Object> addArea(Area area);

    /**
     *  通过id查找 区域
     *
     * @param id 主键
     * @return map map
     */
    Map<String, Object> findArea(String id);

    /**
     * 修改 区域
     * 
     * @param area  区域area
     * @return map map
     */
    Map<String, Object> updateArea( Area area);

    /**
      * 删除 区域
      * 
      * @param ids 主键集合
      * @return map map
      */
    Map<String, Object> deleteArea( String[] ids);
}
